NX Open C++ Reference Guide
|
Represents a Features::ShipDesign::PillarSystem builder which is used to create or edit a pillar system feature. More...
Public Types | |
enum | StockSectionType { StockSectionTypeProfile, StockSectionTypeBuiltUp } |
SpreadSheet Type Profile or BuiltUp. More... | |
enum | Types { TypesShipStructure, TypesPoints } |
Used to specify how the pillar system is defined. More... | |
Public Member Functions | |
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder * | BuiltUpStock () |
Returns the stock used to build the builtUp from. | |
NXOpen::Features::ShipDesign::PointPairBuilder * | CreatePointPairBuilder () |
Creates a Features::ShipDesign::PointPairBuilder . | |
NXOpen::Direction * | Direction () |
Returns the direction of the pillar. | |
NXOpen::SelectNXObjectList * | IntersectingShipStructure () |
Returns the ship structure to intersect with each other that defines the start of a pillar. | |
NXOpen::SelectNXObjectList * | LimitingShipStructure () |
Returns the ship sructure that defines the end of the pillar. | |
NXOpen::Expression * | OrientationAngle () |
Returns the angle at which to orient the stock shape. | |
NXOpen::SelectTaggedObject * | OrientationLine () |
Returns the orientation line, used only if the creation method is "Specify Line". | |
NXOpen::NXObjectList * | PointPairList () |
Returns the list of pairs of points that define the ends of the pillars. | |
NXOpen::Features::ShipDesign::PillarSystemBuilder::StockSectionType | SectionType () |
Returns the section type (profile or plate) Created in NX9.0.0. | |
void | SetDirection (NXOpen::Direction *direction) |
Sets the direction of the pillar. | |
void | SetSectionType (NXOpen::Features::ShipDesign::PillarSystemBuilder::StockSectionType sectionType) |
Sets the section type (profile or plate) Created in NX9.0.0. | |
void | SetType (NXOpen::Features::ShipDesign::PillarSystemBuilder::Types type) |
Sets the type of input used to define the pillar location. | |
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder * | StockData () |
Returns the stock data used to define the stock information of the stiffener. | |
NXOpen::Features::ShipDesign::PillarSystemBuilder::Types | Type () |
Returns the type of input used to define the pillar location. | |
![]() | |
NXOpen::SelectNXObjectList * | Boundary1 () |
Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the first end of the generated profile system. | |
NXOpen::Plane * | Boundary1Plane () |
Returns the defined plane that will be used to trim the first end of the generated profile system. | |
NXOpen::SelectNXObjectList * | Boundary2 () |
Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the second end of the generated profile system. | |
NXOpen::Plane * | Boundary2Plane () |
Returns the defined plane that will be used to trim the second end of the generated profile system. | |
bool | BoundaryReverse () |
Returns the indication if the side of a single boundary should be changed to the other side or not. | |
void | CreatePathCurves (std::vector< NXOpen::NXObject * > &curves) |
Creates path curves for all the paths of the profile system. | |
void | DeleteLastPathCurves () |
Deletes the path curves returned from a call to GetLastPathCurves . | |
void | DeletePathCurves () |
Deletes the path curves created from a call to CreatePathCurves . | |
NXOpen::SelectPointList * | FirstIntersectionPoints () |
Returns the selected intersection points between the curves and the first boundary. | |
void | GetLastPathCurves (std::vector< NXOpen::NXObject * > &curves) |
Gets the path curves used by OrientationDefinitionBuilder . | |
NXOpen::SelectPointList * | SecondIntersectionPoints () |
Returns the selected intersection points between the curves and the second boundary. | |
void | SetBoundary1Plane (NXOpen::Plane *boundary1Plane) |
Sets the defined plane that will be used to trim the first end of the generated profile system. | |
void | SetBoundary2Plane (NXOpen::Plane *boundary2Plane) |
Sets the defined plane that will be used to trim the second end of the generated profile system. | |
void | SetBoundaryOnePoints (const std::vector< NXOpen::Point3d > &points) |
Sets the selected intersection points for the first boundary. | |
void | SetBoundaryReverse (bool boundaryReverse) |
Sets the indication if the side of a single boundary should be changed to the other side or not. | |
void | SetBoundaryTwoPoints (const std::vector< NXOpen::Point3d > &points) |
Set the selected intersection points for the second boundary. | |
![]() | |
double | AngleTolerance () |
Returns the tolerance, in degrees, used to determine when angles are zero. | |
NXOpen::Features::ShipDesign::PlaneListBuilder * | CreatePlaneForList () |
Create a Features::ShipDesign::PlaneListBuilder to add a defined plane to a list. | |
double | DistanceTolerance () |
Returns the tolerance used to determine when distances are considered zero. | |
NXOpen::Features::ShipDesign::FeatureParmsBuilder::OrientationAngleRuleTypes | OrientationAngleRule () |
Returns the angle rule to use when measuring angles. | |
void | SetAngleTolerance (double angleTolerance) |
Sets the tolerance, in degrees, used to determine when angles are zero. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the tolerance used to determine when distances are considered zero. | |
void | SetOrientationAngleRule (NXOpen::Features::ShipDesign::FeatureParmsBuilder::OrientationAngleRuleTypes angleRule) |
Sets the angle rule to use when measuring angles. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::ShipDesign::PillarSystem builder which is used to create or edit a pillar system feature.
<br> To create a new instance of this class, use @link Features::ShipCollection::CreatePillarSystemBuilder Features::ShipCollection::CreatePillarSystemBuilder @endlink <br>
Default values.
Property | Value |
---|---|
OrientationAngle.Value |
0 |
SectionType |
Created in NX8.0.0.
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder* NXOpen::Features::ShipDesign::PillarSystemBuilder::BuiltUpStock | ( | ) |
Returns the stock used to build the builtUp from.
Created in NX9.0.0.
License requirements : None
NXOpen::Features::ShipDesign::PointPairBuilder* NXOpen::Features::ShipDesign::PillarSystemBuilder::CreatePointPairBuilder | ( | ) |
Creates a Features::ShipDesign::PointPairBuilder .
NXOpen::Direction* NXOpen::Features::ShipDesign::PillarSystemBuilder::Direction | ( | ) |
Returns the direction of the pillar.
Only used when Type is Features.ShipDesign.PillarSystemBuilder.Types.ShipStructure.
Created in NX8.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Features::ShipDesign::PillarSystemBuilder::IntersectingShipStructure | ( | ) |
Returns the ship structure to intersect with each other that defines the start of a pillar.
Only used when Type is Features.ShipDesign.PillarSystemBuilder.Types.ShipStructure.
Created in NX8.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Features::ShipDesign::PillarSystemBuilder::LimitingShipStructure | ( | ) |
Returns the ship sructure that defines the end of the pillar.
Only used when Type is Features.ShipDesign.PillarSystemBuilder.Types.ShipStructure.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PillarSystemBuilder::OrientationAngle | ( | ) |
Returns the angle at which to orient the stock shape.
Created in NX8.0.0.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::PillarSystemBuilder::OrientationLine | ( | ) |
Returns the orientation line, used only if the creation method is "Specify Line".
Created in NX8.5.0.
License requirements : None
NXOpen::NXObjectList* NXOpen::Features::ShipDesign::PillarSystemBuilder::PointPairList | ( | ) |
Returns the list of pairs of points that define the ends of the pillars.
Only used when Type is Features.ShipDesign.PillarSystemBuilder.Types.Points.
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::PillarSystemBuilder::StockSectionType NXOpen::Features::ShipDesign::PillarSystemBuilder::SectionType | ( | ) |
Returns the section type (profile or plate)
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::ShipDesign::PillarSystemBuilder::SetDirection | ( | NXOpen::Direction * | direction | ) |
Sets the direction of the pillar.
Only used when Type is Features.ShipDesign.PillarSystemBuilder.Types.ShipStructure.
Created in NX8.0.0.
License requirements : nx_ship_basic ("Ship Basic Design")
direction | direction |
void NXOpen::Features::ShipDesign::PillarSystemBuilder::SetSectionType | ( | NXOpen::Features::ShipDesign::PillarSystemBuilder::StockSectionType | sectionType | ) |
Sets the section type (profile or plate)
Created in NX9.0.0.
License requirements : nx_ship_basic ("Ship Basic Design")
sectionType | sectiontype |
void NXOpen::Features::ShipDesign::PillarSystemBuilder::SetType | ( | NXOpen::Features::ShipDesign::PillarSystemBuilder::Types | type | ) |
Sets the type of input used to define the pillar location.
Created in NX8.0.0.
License requirements : nx_ship_basic ("Ship Basic Design")
type | type |
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder* NXOpen::Features::ShipDesign::PillarSystemBuilder::StockData | ( | ) |
Returns the stock data used to define the stock information of the stiffener.
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::PillarSystemBuilder::Types NXOpen::Features::ShipDesign::PillarSystemBuilder::Type | ( | ) |
Returns the type of input used to define the pillar location.
Created in NX8.0.0.
License requirements : None